%define		realname	libogg
Summary:	Ogg Bitstream Library - MinGW32 cross version
Summary(pl.UTF-8):	Biblioteka obsługi strumieni bitowych Ogg - wersja skrośna dla MinGW32
Name:		crossmingw32-%{realname}
Version:	1.3.2
Release:	2
License:	BSD
Group:		Development/Libraries
Source0:	http://downloads.xiph.org/releases/ogg/%{realname}-%{version}.tar.xz
# Source0-md5:	5c3a34309d8b98640827e5d0991a4015
Patch0:		%{realname}-ac_fixes.patch
URL:		http://www.xiph.org/ogg/
BuildRequires:	autoconf
BuildRequires:	automake >= 1:1.6
BuildRequires:	crossmingw32-gcc
BuildRequires:	crossmingw32-w32api
BuildRequires:	libtool
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	crossmingw32-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1

%define		target			i386-mingw32
%define		target_platform		%{target}

%define		_sysprefix		/usr
%define		_prefix			%{_sysprefix}/%{target}
%define		_libdir			%{_prefix}/lib
%define		_pkgconfigdir		%{_prefix}/lib/pkgconfig
%define		_dlldir			/usr/share/wine/windows/system
%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++

%ifnarch %{ix86}
# arch-specific flags (like alpha's -mieee) are not valid for i386 gcc
%define		optflags	-O2
%endif
# -z options are invalid for mingw linker, most of -f options are Linux-specific
%define		filterout_ld	-Wl,-z,.*
%define		filterout_c	-f[-a-z0-9=]*

%description
Libogg is a library for manipulating Ogg bitstreams. It handles both
making Ogg bitstreams and getting packets from Ogg bitstreams.

This package contains the cross version for Win32.

%description -l pl.UTF-8
Libogg jest biblioteką do manipulacji strumieniami bitowymi Ogg.
Obsługuje ona zarówno tworzenie strumieni jak i uzyskiwanie pakietów
ze strumieni.

Ten pakiet zawiera wersję skrośną dla Win32.

%package static
Summary:	Static libogg library (cross MinGW32 version)
Summary(pl.UTF-8):	Statyczna biblioteka libogg (wersja skrośna MinGW32)
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static libogg library (cross MinGW32 version).

%description static -l pl.UTF-8
Statyczna biblioteka libogg (wersja skrośna MinGW32).

%package dll
Summary:	DLL libogg library for Windows
Summary(pl.UTF-8):	Biblioteka DLL libogg dla Windows
Group:		Applications/Emulators
Requires:	wine

%description dll
DLL libogg library for Windows.

%description dll -l pl.UTF-8
Biblioteka DLL libogg dla Windows.

%prep
%setup -q -n %{realname}-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--host=%{target} \
	--target=%{target}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_dlldir}
mv -f $RPM_BUILD_ROOT%{_prefix}/bin/*.dll $RPM_BUILD_ROOT%{_dlldir}

%if 0%{!?debug:1}
%{target}-strip --strip-unneeded -R.comment -R.note $RPM_BUILD_ROOT%{_dlldir}/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/{aclocal,doc}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGES COPYING README
%{_libdir}/libogg.dll.a
%{_libdir}/libogg.la
%{_includedir}/ogg
%{_pkgconfigdir}/ogg.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libogg.a

%files dll
%defattr(644,root,root,755)
%{_dlldir}/libogg-*.dll
%changelog
* Sun Apr 05 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/crossmingw32-libogg.git;a=log;h=master

* Sun Apr 05 2015 Jan Rękorajski <baggins@pld-linux.org> 3f6c890
- x32 rebuild
- release 2 (by relup.sh)

* Thu May 29 2014 Jakub Bogusz <qboosh@pld-linux.org> eb10039
- updated to 1.3.2

* Sat May 25 2013 Jakub Bogusz <qboosh@pld-linux.org> 93735e6
- updated filterout_ defines

* Fri May 24 2013 Jakub Bogusz <qboosh@pld-linux.org> e4f659c
- updated to 1.3.1

* Sat Aug 06 2011 Jakub Bogusz <qboosh@pld-linux.org> 182b4fe
- updated to 1.3.0

* Wed Dec 08 2010 Jakub Bogusz <qboosh@pld-linux.org> 7419fbf
- updated to 1.2.2

* Wed Nov 03 2010 Jakub Bogusz <qboosh@pld-linux.org> e497d51
- updated to 1.2.1
- ac_fixes patch changes configure.in, so rebuild ac/am

* Sun Sep 19 2010 Jakub Bogusz <qboosh@pld-linux.org> 2101bdc
- unified MinGW32 caps

* Wed Sep 08 2010 Jakub Bogusz <qboosh@pld-linux.org> 7528d8a
- updated to 1.2.0

* Mon Jan 14 2008 Jakub Bogusz <qboosh@pld-linux.org> c8daa62
- force %{_lib}-independent libdir

* Sun Aug 05 2007 Jakub Bogusz <qboosh@pld-linux.org> 17805b4
- base Group is Development/Libraries

* Sun Aug 05 2007 Jakub Bogusz <qboosh@pld-linux.org> 6a71722
- unified building, added -static

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> f0f6c8f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 370a1ef
- converted to UTF-8

* Sun May 28 2006 wolf <wolf@pld-linux.org> 27c937b
- new

* Wed Jun 27 2001 Arkadiusz Miśkiewicz <arekm@maven.pl> bb83de5
- 95b34a6a4f2b037fc6cca78a7ebe9758  libvorbis-1.0rc1.tar.gz

* Sat Apr 28 2001 Arkadiusz Miśkiewicz <arekm@maven.pl> a13887e
- 1ffd9d6c02f824e50345920bd07366e9  libogg-1.0beta4.tar.gz

* Tue Oct 31 2000 kloczek <kloczek@pld-linux.org> 748cf19
- do not manipulate in CFLAGS.

